## org.apache.hadoop.security.token.delegation
Class AbstractDelegationTokenSelector<TokenIdent extends AbstractDelegationTokenIdentifier>

    java.lang.Object
      org.apache.hadoop.security.token.delegation.AbstractDelegationTokenSelector<TokenIdent>

All Implemented Interfaces:
  TokenSelector<TokenIdent>

Direct Known Subclasses:
  DelegationTokenSelector

    public class AbstractDelegationTokenSelector<TokenIdent extends AbstractDelegationTokenIdentifier>

extends Object
implements TokenSelector<TokenIdent>

Look through tokens to find the first delegation token that matches the service and return it.

Constructor Summary
`protected` `AbstractDelegationTokenSelector(Text kindName)`

Method Summary
`Token<TokenIdent>` `selectToken(Text service, Collection<Token<? extends TokenIdentifier>> tokens)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractDelegationTokenSelector

    protected AbstractDelegationTokenSelector(Text kindName)

Method Detail

### selectToken

    public Token<TokenIdent> selectToken(Text service,
                                         Collection<Token<? extends TokenIdentifier>> tokens)

  Specified by:
    `selectToken` in interface `TokenSelector<TokenIdent extends AbstractDelegationTokenIdentifier>`

Copyright © 2009 The Apache Software Foundation